#ifndef LBUF_H
#define LBUF_H 1

#define MAX_DNAME	256		/* long enough for all current UNIX systems */
#define MAX_GROUPNAME	15		/* 8 is the actual limit in */
#define MAX_USERNAME	15		/* all current UNIX systems */
					/* but 15 makes for nice alignment */
					/* in the lbuf structure */
struct lbuf
{
    unsigned long	lnum;
    unsigned long	lnl;
    long		lsize;
    TIME_T		latime;
    TIME_T		lctime;
    TIME_T		lmtime;
    int			ltype;
    short   		deleted;
    short		lflags;
    uid_t		luid;
    gid_t		lgid;
    union
    {
	char		lname[MAX_DNAME];  /*****crh 8/83  ****/
	char   		*namep;
    } ln;
    char		username[MAX_USERNAME+1];
    char		groupname[MAX_GROUPNAME+1];
};
#endif /* LBUF_H */
